Categories:
  - Internet
License: AGPL-3.0-only
WebSite: https://getvoyager.app
SourceCode: https://github.com/aeharding/voyager
IssueTracker: https://github.com/aeharding/voyager/issues
Changelog: https://github.com/aeharding/voyager/releases
Donate: https://github.com/sponsors/aeharding

AutoName: Voyager

RepoType: git
Repo: https://github.com/aeharding/voyager.git
Binaries: https://github.com/aeharding/voyager/releases/download/%v/Voyager-Android-%v.apk

Builds:
  - versionName: 1.14.5
    versionCode: 153
    commit: fad71c6a38d7b36b515a82dcce56531108fca7c3
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.14.6
    versionCode: 154
    commit: 66986422dd5644bd16bb17ac4f041eeb5eebe8fb
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.15.3
    versionCode: 158
    commit: baf1d9d0727084ffa929b0f94bcd91e5cf5c2863
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.15.4
    versionCode: 159
    commit: 413818d090af9f2d28c21c8f2e594edc63008971
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.15.5
    versionCode: 160
    commit: 9baec3b219417eab5857c67ab8878fe277dbbfe7
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.15.6
    versionCode: 161
    commit: 1ec5c43602cb9a32a8b0a147d9fba99930ab361d
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.16.0
    versionCode: 162
    commit: 9076a06bdb15aaca83b96d3550b387d77f9215f3
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.17.1
    versionCode: 164
    commit: eb2954c7dbedbdaae5af1912a74289a6e69ce0dd
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.18.0
    versionCode: 165
    commit: d795a5988f525779d8b2e59f7fd274e46c8160ac
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.19.3
    versionCode: 169
    commit: 676d408ddae4d44bca2bb18e57f938a9cd2a87bf
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.20.0
    versionCode: 170
    commit: ef93ce7260fa6dfa9b0d7b224d80d7094c68eadf
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.20.1
    versionCode: 171
    commit: 5569b6476331eb67557d64f4a27fe4961d3c9636
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.21.0
    versionCode: 172
    commit: 14ace36190920010a950b140db73eb6d6a1e9549
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.22.0
    versionCode: 173
    commit: 61bd4ceaa99cc8c99c3d72144ff3c7e59eb326f8
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.1/node-v18.18.1-linux-x64.tar.gz
      - echo "9ce4db11f1d8399f6b58aab6858a688b2e09405127b47ebc4594dc8262a5e29f node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    binary: https://github.com/aeharding/voyager/releases/download/%v/Android-%v.apk
    scandelete:
      - node_modules/

  - versionName: 1.23.2
    versionCode: 177
    commit: a2bce4d45122579f908c60fb362322b6df340641
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.24.0
    versionCode: 178
    commit: 68d78d6895616a10c8fec98e68d4445b9add6b8d
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.24.2
    versionCode: 180
    commit: 657c660a504d1476443790aa54f068b7ec3de1a3
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.25.0
    versionCode: 181
    commit: a76035c5e77cbb27077e132b4144c64b284106fa
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.26.0
    versionCode: 182
    commit: a6a484712afb32b7aef3c4d3e5196d77d9a624ae
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.27.0
    versionCode: 183
    commit: 44991b8ee21a3c2ddf2a777fff8714112559f218
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.28.0
    versionCode: 184
    commit: 31f4d546dd7ae7d2e161344fefd4aba4eee10c24
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.29.0
    versionCode: 185
    commit: a0fc0c2f8adf8e63c81b52244bee50a2fdab2717
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.30.3
    versionCode: 189
    commit: 9cbae3bf0d46dc61bf89ec63310ca5ee686b2104
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.31.0
    versionCode: 190
    commit: d5a5310fbe4d1cf23e6ca34c8bc62b691e7bd4c3
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.31.2
    versionCode: 192
    commit: 9b09745128761748255c0ec30e4226660e363ce2
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.31.3
    versionCode: 193
    commit: 5b2461a1a63dd94966fd66efe06347df5491e043
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

  - versionName: 1.32.1
    versionCode: 195
    commit: f68ce8310976ea5b89d46b46c9591258551b14e4
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.gz https://nodejs.org/dist/v20.9.0/node-v20.9.0-linux-x64.tar.gz
      - echo "f0919f092fbf74544438907fa083c21e76b2d7a4bc287f0607ada1553ef16f60 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - corepack enable
      - pnpm install --frozen-lockfile
      - CI_PLATFORM=android BUILD_FOSS_ONLY=true pnpm run build
      - cd ../..
      - npx cap sync android --deployment
    gradle:
      - yes
    scandelete:
      - node_modules/

AllowedAPKSigningKeys: 8b4d5cf69eaf147cd9a868c740d37d5fe1471a2f62c67d536038bcdbd9bc7ade

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.32.1
CurrentVersionCode: 195
